searchNodes=[{"doc":"Documentation for Json5 .","ref":"Json5.html","title":"Json5","type":"module"},{"doc":"parse json5 input as elixir type. To keep the precision of the given numbers the integers and floats are cast to Decimal options: object_key_function: (binary) -&gt; any use given function to format the object key object_key_existing_atom: boolean format the object key with String.to_existing_atom/1 object_key_atom: boolean format the object key with String.to_atom/1 if none of the above options are set return the key as a binary (String.t()) object_new_function: ({any, any}) -&gt; any function to create a map from the list of parsed tuples, by default uses Map.new/1 iex&gt; Json5 . decode ( &quot;{array: [1, 2, 3], map: {&#39;null&#39;: null, test: 1, }, }&quot; ) { :ok , %{ &quot;map&quot; =&gt; %{ &quot;test&quot; =&gt; Decimal . new ( 1 ) , &quot;null&quot; =&gt; nil } , &quot;array&quot; =&gt; [ Decimal . new ( 1 ) , Decimal . new ( 2 ) , Decimal . new ( 3 ) ] } }","ref":"Json5.html#decode/2","title":"Json5.decode/2","type":"function"},{"doc":"Same as decode/2 but raises on error","ref":"Json5.html#decode!/2","title":"Json5.decode!/2","type":"function"},{"doc":"Encode elixir input as json5. Contains some simple formatting options options: pretty: boolean compact: boolean iex&gt; Json5 . encode ( %{ map : %{ test : 1 , null : nil } , array : [ 1 , 2 , 3 ] } ) { :ok , &quot;{array: [1, 2, 3], map: {&#39;null&#39;: null, test: 1, }, }&quot; } iex&gt; Json5 . encode ( %{ map : %{ test : 1 , null : nil } , array : [ 1 , 2 , 3 ] } , pretty : true ) { :ok , &quot;&quot;&quot; { array: [ 1, 2, 3, ], map: { &#39;null&#39;: null, test: 1, }, } &quot;&quot;&quot; } iex&gt; Json5 . encode ( %{ map : %{ test : 1 , null : nil } , array : [ 1 , 2 , 3 ] } , compact : true ) { :ok , &quot;{array:[1,2,3],map:{&#39;null&#39;:null,test:1}}&quot; }","ref":"Json5.html#encode/2","title":"Json5.encode/2","type":"function"},{"doc":"Same as encode/2 but raises on error","ref":"Json5.html#encode!/2","title":"Json5.encode!/2","type":"function"},{"doc":"Documentation for Json5 .","ref":"Json5.Decode.html","title":"Json5.Decode","type":"module"},{"doc":"","ref":"Json5.Decode.html#json5_value/2","title":"Json5.Decode.json5_value/2","type":"function"},{"doc":"","ref":"Json5.Decode.html#parse/2","title":"Json5.Decode.parse/2","type":"function"},{"doc":"","ref":"Json5.Decode.html#parser/1","title":"Json5.Decode.parser/1","type":"function"},{"doc":"Documentation for Json5 .","ref":"Json5.Decode.Array.html","title":"Json5.Decode.Array","type":"module"},{"doc":"","ref":"Json5.Decode.Array.html#array/0","title":"Json5.Decode.Array.array/0","type":"function"},{"doc":"Documentation for Json5 .","ref":"Json5.Decode.Boolean.html","title":"Json5.Decode.Boolean","type":"module"},{"doc":"","ref":"Json5.Decode.Boolean.html#boolean/0","title":"Json5.Decode.Boolean.boolean/0","type":"function"},{"doc":"","ref":"Json5.Decode.Helper.html","title":"Json5.Decode.Helper","type":"module"},{"doc":"","ref":"Json5.Decode.Helper.html#ignore_whitespace/1","title":"Json5.Decode.Helper.ignore_whitespace/1","type":"function"},{"doc":"","ref":"Json5.Decode.Helper.html#ignored_comma/1","title":"Json5.Decode.Helper.ignored_comma/1","type":"function"},{"doc":"","ref":"Json5.Decode.Helper.html#lazy/2","title":"Json5.Decode.Helper.lazy/2","type":"function"},{"doc":"","ref":"Json5.Decode.Helper.html#lazy_json5_value/0","title":"Json5.Decode.Helper.lazy_json5_value/0","type":"function"},{"doc":"","ref":"Json5.Decode.Helper.html#multi_line_comment/0","title":"Json5.Decode.Helper.multi_line_comment/0","type":"function"},{"doc":"","ref":"Json5.Decode.Helper.html#remove_white_space/0","title":"Json5.Decode.Helper.remove_white_space/0","type":"function"},{"doc":"","ref":"Json5.Decode.Helper.html#single_line_comment/0","title":"Json5.Decode.Helper.single_line_comment/0","type":"function"},{"doc":"Documentation for Json5 .","ref":"Json5.Decode.Null.html","title":"Json5.Decode.Null","type":"module"},{"doc":"","ref":"Json5.Decode.Null.html#null/0","title":"Json5.Decode.Null.null/0","type":"function"},{"doc":"Documentation for Json5 .","ref":"Json5.Decode.Number.html","title":"Json5.Decode.Number","type":"module"},{"doc":"","ref":"Json5.Decode.Number.html#ecma_decimal_literal/0","title":"Json5.Decode.Number.ecma_decimal_literal/0","type":"function"},{"doc":"","ref":"Json5.Decode.Number.html#ecma_decimal_literal_1/0","title":"Json5.Decode.Number.ecma_decimal_literal_1/0","type":"function"},{"doc":"","ref":"Json5.Decode.Number.html#ecma_decimal_literal_2/0","title":"Json5.Decode.Number.ecma_decimal_literal_2/0","type":"function"},{"doc":"","ref":"Json5.Decode.Number.html#ecma_decimal_literal_3/0","title":"Json5.Decode.Number.ecma_decimal_literal_3/0","type":"function"},{"doc":"","ref":"Json5.Decode.Number.html#number/0","title":"Json5.Decode.Number.number/0","type":"function"},{"doc":"Documentation for Json5 .","ref":"Json5.Decode.Object.html","title":"Json5.Decode.Object","type":"module"},{"doc":"","ref":"Json5.Decode.Object.html#object/1","title":"Json5.Decode.Object.object/1","type":"function"},{"doc":"Documentation for Json5 .","ref":"Json5.Decode.String.html","title":"Json5.Decode.String","type":"module"},{"doc":"","ref":"Json5.Decode.String.html#string/0","title":"Json5.Decode.String.string/0","type":"function"},{"doc":"Define some ECMA constants","ref":"Json5.ECMA.html","title":"Json5.ECMA","type":"module"},{"doc":"","ref":"Json5.ECMA.html#ecma_identifier_name/0","title":"Json5.ECMA.ecma_identifier_name/0","type":"function"},{"doc":"","ref":"Json5.ECMA.html#is_reserved_word/1","title":"Json5.ECMA.is_reserved_word/1","type":"macro"},{"doc":"","ref":"Json5.ECMA.html#is_unicode_identifier_letter/1","title":"Json5.ECMA.is_unicode_identifier_letter/1","type":"macro"},{"doc":"","ref":"Json5.ECMA.html#reserved_word?/1","title":"Json5.ECMA.reserved_word?/1","type":"function"},{"doc":"","ref":"Json5.ECMA.html#reserved_words/0","title":"Json5.ECMA.reserved_words/0","type":"function"},{"doc":"","ref":"Json5.ECMA.html#valid_identifier?/1","title":"Json5.ECMA.valid_identifier?/1","type":"function"},{"doc":"Documentation for Json5 .","ref":"Json5.Encode.html","title":"Json5.Encode","type":"module"},{"doc":"","ref":"Json5.Encode.html#do_dump/2","title":"Json5.Encode.do_dump/2","type":"function"},{"doc":"","ref":"Json5.Encode.html#dump/2","title":"Json5.Encode.dump/2","type":"function"},{"doc":"Documentation for Json5 .","ref":"Json5.Encode.Array.html","title":"Json5.Encode.Array","type":"module"},{"doc":"","ref":"Json5.Encode.Array.html#dump/2","title":"Json5.Encode.Array.dump/2","type":"function"},{"doc":"Documentation for Json5 .","ref":"Json5.Encode.Object.html","title":"Json5.Encode.Object","type":"module"},{"doc":"","ref":"Json5.Encode.Object.html#dump/2","title":"Json5.Encode.Object.dump/2","type":"function"},{"doc":"","ref":"Json5.Encode.Error.html","title":"Json5.Encode.Error","type":"exception"}]